List cards
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://core.prod.gnosispay.com/partner-api/v1/cards', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://core.prod.gnosispay.com/partner-api/v1/cards \
--header 'Authorization: Bearer <token>'import requests
url = "https://core.prod.gnosispay.com/partner-api/v1/cards"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://core.prod.gnosispay.com/partner-api/v1/cards"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://core.prod.gnosispay.com/partner-api/v1/cards")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://core.prod.gnosispay.com/partner-api/v1/cards")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"cardholder_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "all",
"name": "<string>",
"type": "virtual",
"created_at": "2023-11-07T05:31:56Z",
"canceled_at": "2023-11-07T05:31:56Z",
"limit": {
"amount": 123,
"currency": "<string>",
"decimals": 123,
"sync_status": "pending",
"updated_at": "2023-11-07T05:31:56Z"
}
}
],
"pagination": {
"next_page_cursor": "<string>",
"has_next": true
}
}{
"code": 123,
"message": "<string>",
"reason": "<string>"
}Cards
List cards
Lists virtual cards available to the authenticated partner.
Use cardholder_id or account_id to reconcile card issuance and retrieve
the current status of every matching card. Only virtual cards are available
through the Partner API.
GET
/
v1
/
cards
List cards
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://core.prod.gnosispay.com/partner-api/v1/cards', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://core.prod.gnosispay.com/partner-api/v1/cards \
--header 'Authorization: Bearer <token>'import requests
url = "https://core.prod.gnosispay.com/partner-api/v1/cards"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://core.prod.gnosispay.com/partner-api/v1/cards"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://core.prod.gnosispay.com/partner-api/v1/cards")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://core.prod.gnosispay.com/partner-api/v1/cards")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"cardholder_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "all",
"name": "<string>",
"type": "virtual",
"created_at": "2023-11-07T05:31:56Z",
"canceled_at": "2023-11-07T05:31:56Z",
"limit": {
"amount": 123,
"currency": "<string>",
"decimals": 123,
"sync_status": "pending",
"updated_at": "2023-11-07T05:31:56Z"
}
}
],
"pagination": {
"next_page_cursor": "<string>",
"has_next": true
}
}{
"code": 123,
"message": "<string>",
"reason": "<string>"
}Query Parameters
Filter by account.
Filter by cardholder.
Filter by card status.
Available options:
all, provisioning, pending_activation, active, blocked, canceled Filter by card type.
Available options:
virtual Filter by Safe owner address.
Filter cards created on or after this date.
Filter cards created on or before this date.
The number of cards on each page (1-100).
Required range:
1 <= x <= 100The cursor of the page to return. Its value comes from pagination.next_page_cursor in the previous response.